{
  "type": "minecraft:crafting_shaped",
  "group": "framed_drawers",
  "pattern": [
    "/X/",
    "X/X",
    "/X/"
  ],
  "key": {
    "/": {
      "tag": "forge:rods/wooden"
    },
    "X": {
     "item": "metalbarrels:iron_barrel" 
    }
  },
  "result": {
    "item": "framedcompactdrawers:framed_trim",
    "count": 4
  }
}